<task name="My database">
    <task name="Задачи" id="Задачи" flags="5" text="Задачи">
        <task name="Приготовить обед" id="Приготовить обед" flags="5" text="Приготовить обед">
            <task time="20" name="Приготовить первое" id="Приготовить первое" flags="5" text="Приготовить первое">
                <task time="10" name="Найти рецепт  супа" id="Найти рецепт  супа" flags="5" text="Найти рецепт  супа
"/>
                <task time="30" name="Сходить в магазин за продуктами " id="Сходить в магазин за продуктами " flags="5" text="Сходить в магазин за продуктами "/>
            </task>
            <task name="Приготовить второе" id="Приготовить второе" flags="1" text="Приготовить второе">
                <task time="10" name="Найти рецепт" id="Найти рецепт" flags="1" text="Найти рецепт"/>
                <link with="Сходить в магазин за продуктами "/>
            </task>
        </task>
    </task>
    <task name="Здоровье" id="Здоровье" flags="4" text="Здоровье"/>
    <task name="Спорт" id="Спорт" flags="4" text="Спорт">
        <task name="10 причин заняться бегом." view="md" id="10 причин заняться бегом." flags="4" text="# 10 причин заняться бегом.  
В этом материале мы собрали для вас 10 причин надеть кроссовки и прямо сейчас
отправиться на пробежку. Читай и побежали!  
Многие используют бег только в качестве кардио или разогрева перед силовой, не
понимая до конца, сколько плюсов имеет обычная беговая тренировка. Бег не стоит
недооценивать! Вот лишь некоторые полезные свойства бега:  
## 1\. Укрепление иммунитета  
Если ты часто страдаешь от простуды, то бег для тебя станет лучшим другом.
Пробежки на открытом воздухе (да ещё и в прохладную погоду) закалят твой
организм и сделают его более устойчивым к микробам и вирусам. Регулярные
занятия спортом, особенно бегом, укрепляют физическое состояние организма и
улучшают настроение. Да-да, твой иммунитет в большой степени зависит от твоего
настроения и мыслей.  
## 2\. Улучшение кровообращения  
Регулярные занятия бегом улучшают работу сердечно-сосудистой системы, что
является профилактикой сердечных заболеваний. Во время бега происходит
интенсификация (насыщение) тканей кислородом, а это — большая помощь
кровообращению. Благодаря такой кардионагрузке, сердечные мышцы обретают силу и
выносливость, укрепляются стенки сосудов, повышается их тонус. Это в свою
очередь приводит к стабилизации артериального давления — и не важно, повышенное
оно у тебя или пониженное.  
## 3\. Избавление от депрессии  
Во время бега твой организм вырабатывает гормон радости — эндорфин, причём,
этот эффект сохраняется не только на время тренировки, но и после. Психологи
утверждают, что регулярные занятия бегом делают человека менее раздражительным
и помогают избавиться от бессонницы.  
## 4\. Укрепление суставов  
Есть мнение, что беговая нагрузка «убивает» колени, но на самом деле это не
так. Наоборот, регулярный бег укрепляет суставы — конечно, если бегать
правильно и постепенно наращивать нагрузку.  
"/>
    </task>
    <task name="Редактор TreeLinkedNotes" id="Редактор TreeLinkedNotes" flags="4c" text="Редактор TreeLinkedNotes">
        <task name="Форматы отображения" id="Форматы отображения" flags="4" text="Форматы отображения">
            <task name="Plain text  " id="Plain text  " flags="4" text="Plain text  


10 причин заняться бегом.
В этом материале мы собрали для вас 10 причин надеть кроссовки и прямо сейчас отправиться на пробежку. Читай и побежали!
Многие используют бег только в качестве кардио или разогрева перед силовой, не понимая до конца, сколько плюсов имеет обычная беговая тренировка. Бег не стоит недооценивать! Вот лишь некоторые полезные свойства бега:
1. Укрепление иммунитета
Если ты часто страдаешь от простуды, то бег для тебя станет лучшим другом. Пробежки на открытом воздухе (да ещё и в прохладную погоду) закалят твой организм и сделают его более устойчивым к микробам и вирусам. Регулярные занятия спортом, особенно бегом, укрепляют физическое состояние организма и улучшают настроение. Да-да, твой иммунитет в большой степени зависит от твоего настроения и мыслей.
2. Улучшение кровообращения
Регулярные занятия бегом улучшают работу сердечно-сосудистой системы, что является профилактикой сердечных заболеваний. Во время бега происходит интенсификация (насыщение) тканей кислородом, а это — большая помощь кровообращению. Благодаря такой кардионагрузке, сердечные мышцы обретают силу и выносливость, укрепляются стенки сосудов, повышается их тонус. Это в свою очередь приводит к стабилизации артериального давления — и не важно, повышенное оно у тебя или пониженное.
3. Избавление от депрессии
Во время бега твой организм вырабатывает гормон радости — эндорфин, причём, этот эффект сохраняется не только на время тренировки, но и после. Психологи утверждают, что регулярные занятия бегом делают человека менее раздражительным и помогают избавиться от бессонницы.
4. Укрепление суставов
Есть мнение, что беговая нагрузка «убивает» колени, но на самом деле это не так. Наоборот, регулярный бег укрепляет суставы — конечно, если бегать правильно и постепенно наращивать нагрузку.
5. Сжигание жировой прослойки
Бег поможет сбросить вес, но нужно понимать, как это работает. Во время бега и после него запускается активный процесс липолиза — расщепления жировых клеток. В условиях кардионагрузки организм начинает расходовать свои «запасы на чёрный день», однако делает он это не сразу. Первые 40 минут бега наш организм работает на углеводах (например, гликоген — сложный углевод, который запасается в клетках печени и мышц). И только после этого отрезка времени происходит переход на этап сжигания жиров."/>
            <task name="Markdown" view="md" id="Markdown" flags="2c" text="Markdown

Шпаргалка по Markdown (Ссылка работает в режиме ReadOnly)
&lt;https://skillbox.ru/media/code/yazyk-razmetki-markdown-shpargalka-po-sintaksisu-s-primerami&gt;">
                <task name="Стили  " id="Стили  " flags="4" text="Стили  
# Заголовок  
123  (первод строки - два пробела в конце)  
456  (первод строки - два пробела в конце)  
# This    is a heading  
This is a normal text  
*This is a italic item*  
~~This is strike item~~  
_This is underlined test_  
**This is bold text**  
***Текст жирным курсивом***  
`This is monospace text `  
A link to Google: [Google](https://www.google.com)  
- [x] unchecked checkbox
- [ ] checked checkbox  
```
QString name = &quot;/home/admin/job0/Job&quot;;
int pos = name.lastIndexOf(QChar(&apos;/&apos;));
qDebug() &lt;&lt; name.left(pos);
```
&gt; Отступ (цитата)
&gt; 
&gt; &gt; Двойной отступ  
- - -
three or more [ - _ *  ]  
## Hyphens  
Asterisks  
- - -
Underscores  
"/>
                <task name="Таблицы" view="md" id="Таблицы" flags="64" text="Таблицы  

|Column 1|Column 2|Column 3|
|--------|--------|--------|
|Row 1   |Cell 2  |Cell 3  |
|Row 2   |Cell 5  |Cell 6  |
|Row 3   |Cell 8  |Cell 9  |  

|Column 1|Column 2|Column 3|
|--------|--------|--------|
|Row 1   |**Cell 2**|Cell 3  |
|Row 2   |~~Cell 5~~|Cell 6  |
|Row 3   |*Cell 8*|Cell 9  |  
"/>
                <task name="Изображения" view="md" id="Изображения" flags="24" text="Изображения  
# Вставка изображения  
Вариант 1 - с помощью тега \![image] полный либо относительный путь к файлу в круглых скобках

![image](Изображения/img0.png)  
Относительный путь указыавется относительно папки с изображениями, указанной в
поле img_dir  json файла.
***

Вариант 2 - Изображение можно вставить  из фуфера обмена кнопкой &quot;put img&quot;  
Открыть видео  [Открыть файл ship](d:/GIT/TreeLinkedNotes/demo/ship.mp4)  



![image](Изображения/img2.png)
">
                    <task name="Программа для получения скриншотов" view="md" id="Программа для получения скриншотов" flags="24" text="Программа для получения скриншотов

https://app.prntscr.com/ru/index.html"/>
                </task>
                <task name="Ссылки  " id="Ссылки  " flags="4" text="Ссылки  
**Ссылки активны только в режиме ReadOnly**

![image](Изображения/img0.png)  

[ship video](d:/GIT/TreeLinkedNotes/demo/ship.mp4)

[pdf document](d:/GIT/TreeLinkedNotes/demo/aht10_datasheet_temperature_humidity_sensor_(EN).pdf )


https://newmoscow.mossport.ru/news/top-10-prichin-zanimatsya-begom

текст
текст
 
">
                    <task name="на текстовый файл" id="на текстовый файл" flags="84" text="на текстовый файл


[text](info3.txt)"/>
                </task>
                <task name="Заголовки  " id="Заголовки  " flags="4" text="Заголовки  
# Заголовок первого уровня
## Заголовок второго уровня 
### Заголовок третьего уровня
#### Заголовок четвёртого уровня 
##### Заголовок пятого уровня
###### Заголовок шестого уровня


Заголовок первого уровня А
=
Заголовок первого уровня Б
=========
Заголовок второго уровня В
-
Заголовок второго уровня Г
-------------"/>
                <task name="Списки  " id="Списки  " flags="4" text="Списки  
* элемент 1
* элемент 2
  * вложенный элемент 2.2
  * вложенный элемент 2.3  
текст  
1.  нумерованный элемент 1
2.  нумерованный элемент 2
3.  нумерованный элемент 3
  + вложенный элемент (залитый квадрат) 
  + вложенный элемент (залитый квадрат)
     - вложенный элемент (залитый круг)
     - вложенный элемент (залитый круг)
       * вложенный элемент 2.2
       * вложенный элемент 2.2"/>
            </task>
            <task name="HTML" view="html" id="HTML" flags="ac" text="&lt;!DOCTYPE HTML PUBLIC &quot;-//W3C//DTD HTML 4.0//EN&quot; &quot;http://www.w3.org/TR/REC-html40/strict.dtd&quot;&gt;
&lt;html&gt;&lt;head&gt;&lt;meta name=&quot;qrichtext&quot; content=&quot;1&quot; /&gt;&lt;meta charset=&quot;utf-8&quot; /&gt;&lt;style type=&quot;text/css&quot;&gt;
p, li { white-space: pre-wrap; }
hr { height: 1px; border-width: 0; }
li.unchecked::marker { content: &quot;\2610&quot;; }
li.checked::marker { content: &quot;\2612&quot;; }
&lt;/style&gt;&lt;/head&gt;&lt;body style=&quot; font-family:&apos;Segoe UI&apos;; font-size:9pt; font-weight:400; font-style:normal;&quot;&gt;
&lt;h1 style=&quot; margin-top:0px; margin-bottom:11px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;&quot;&gt;&lt;span style=&quot; font-family:&apos;Titillium Web&apos;,&apos;Arial&apos;,&apos;Helvetica&apos;,&apos;sans-serif&apos;; font-size:xx-large; font-weight:300; color:#000000;&quot;&gt;QString Class&lt;/span&gt;&lt;/h1&gt;
&lt;p style=&quot; margin-top:26px; margin-bottom:26px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;&quot;&gt;I would use &lt;a href=&quot;http://doc.qt.io/qt-5/qstring.html#lastIndexOf-1&quot;&gt;&lt;span style=&quot; font-family:&apos;Courier New&apos;; text-decoration: underline; color:#004275;&quot;&gt;QString::lastIndexOf()&lt;/span&gt;&lt;/a&gt; together with &lt;a href=&quot;http://doc.qt.io/qt-5/qstring.html#mid&quot;&gt;&lt;span style=&quot; font-family:&apos;Courier New&apos;; text-decoration: underline; color:#004275;&quot;&gt;QString::mid()&lt;/span&gt;&lt;/a&gt; to prevent unnecessary QString / QStringList creation and destruction:&lt;/p&gt;
&lt;p style=&quot; margin-top:12px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;&quot;&gt;&lt;span style=&quot; font-family:&apos;Courier New&apos;;&quot;&gt;// Example:&lt;/span&gt;&lt;/p&gt;
&lt;p style=&quot; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;&quot;&gt;&lt;span style=&quot; font-family:&apos;Courier New&apos;;&quot;&gt;//  0         1         2         3         4         5&lt;/span&gt;&lt;/p&gt;
&lt;p style=&quot; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;&quot;&gt;&lt;span style=&quot; font-family:&apos;Courier New&apos;;&quot;&gt;//  012345678901234567890123456789012345678901234567890&lt;/span&gt;&lt;/p&gt;
&lt;p style=&quot; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;&quot;&gt;&lt;span style=&quot; font-family:&apos;Courier New&apos;;&quot;&gt;// &amp;quot;file:///home/we/Pictures/neededWord/3193_n.jpg&amp;quot;&lt;/span&gt;&lt;/p&gt;
&lt;p style=&quot; margin-top:26px; margin-bottom:26px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;&quot;&gt;&lt;span style=&quot; font-family:&apos;Titillium Web&apos;,&apos;Arial&apos;,&apos;Helvetica&apos;,&apos;sans-serif&apos;; font-size:16px; color:#000000;&quot;&gt;The QString class provides a Unicode character string. &lt;/span&gt;&lt;a href=&quot;https://doc.qt.io/qt-5/qstring.html#details&quot;&gt;&lt;span style=&quot; font-family:&apos;Titillium Web&apos;,&apos;Arial&apos;,&apos;Helvetica&apos;,&apos;sans-serif&apos;; font-size:16px; font-weight:600; text-decoration: underline; color:#000000;&quot;&gt;More...&lt;/span&gt;&lt;/a&gt;&lt;/p&gt;
&lt;p style=&quot;-qt-paragraph-type:empty; margin-top:26px; margin-bottom:26px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; font-family:&apos;Titillium Web&apos;,&apos;Arial&apos;,&apos;Helvetica&apos;,&apos;sans-serif&apos;; font-size:16px; color:#000000;&quot;&gt;&lt;br /&gt;&lt;/p&gt;
&lt;table border=&quot;1&quot; style=&quot; border-style:solid; margin-top:0px; margin-bottom:5px; margin-left:0px; margin-right:0px; border-collapse:collapse;&quot; cellspacing=&quot;2&quot; cellpadding=&quot;0&quot;&gt;
&lt;tr&gt;
&lt;td style=&quot; padding-left:10; padding-right:5; padding-top:3; padding-bottom:3; border-top:1px; border-right:1px; border-bottom:1px; border-left:1px; border-top-color:#000000; border-right-color:#000000; border-bottom-color:#000000; border-left-color:#000000; border-top-style:solid; border-right-style:solid; border-bottom-style:solid; border-left-style:solid;&quot;&gt;
&lt;p align=&quot;right&quot; style=&quot; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; line-height:130%;&quot;&gt;&lt;span style=&quot; font-family:&apos;Titillium Web&apos;,&apos;Arial&apos;,&apos;Helvetica&apos;,&apos;sans-serif&apos;; font-size:16px; color:#000000;&quot;&gt;Header:&lt;/span&gt;&lt;/p&gt;&lt;/td&gt;
&lt;td style=&quot; padding-left:20; padding-right:20; padding-top:5; padding-bottom:5; border-top:1px; border-right:1px; border-bottom:1px; border-left:1px; border-top-color:#000000; border-right-color:#000000; border-bottom-color:#000000; border-left-color:#000000; border-top-style:solid; border-right-style:solid; border-bottom-style:solid; border-left-style:solid;&quot;&gt;
&lt;p style=&quot; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; line-height:130%;&quot;&gt;&lt;span style=&quot; font-family:&apos;Titillium Web&apos;,&apos;Arial&apos;,&apos;Helvetica&apos;,&apos;sans-serif&apos;; font-size:16px; color:#000000;&quot;&gt;#include &amp;lt;QString&amp;gt;&lt;/span&gt;&lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;
&lt;tr&gt;
&lt;td style=&quot; padding-left:10; padding-right:5; padding-top:3; padding-bottom:3; border-top:1px; border-right:1px; border-bottom:1px; border-left:1px; border-top-color:#000000; border-right-color:#000000; border-bottom-color:#000000; border-left-color:#000000; border-top-style:solid; border-right-style:solid; border-bottom-style:solid; border-left-style:solid;&quot;&gt;
&lt;p align=&quot;right&quot; style=&quot; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; line-height:130%;&quot;&gt;&lt;span style=&quot; font-family:&apos;Titillium Web&apos;,&apos;Arial&apos;,&apos;Helvetica&apos;,&apos;sans-serif&apos;; font-size:16px; color:#000000;&quot;&gt;qmake:&lt;/span&gt;&lt;/p&gt;&lt;/td&gt;
&lt;td style=&quot; padding-left:20; padding-right:20; padding-top:5; padding-bottom:5; border-top:1px; border-right:1px; border-bottom:1px; border-left:1px; border-top-color:#000000; border-right-color:#000000; border-bottom-color:#000000; border-left-color:#000000; border-top-style:solid; border-right-style:solid; border-bottom-style:solid; border-left-style:solid;&quot;&gt;
&lt;p style=&quot; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; line-height:130%;&quot;&gt;&lt;span style=&quot; font-family:&apos;Titillium Web&apos;,&apos;Arial&apos;,&apos;Helvetica&apos;,&apos;sans-serif&apos;; font-size:16px; color:#000000;&quot;&gt;QT += core&lt;/span&gt;&lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;
&lt;ul style=&quot;margin-top: 0px; margin-bottom: 0px; margin-left: 0px; margin-right: 0px; -qt-list-indent: 1;&quot;&gt;
&lt;li style=&quot; font-family:&apos;Titillium Web&apos;,&apos;Arial&apos;,&apos;Helvetica&apos;,&apos;sans-serif&apos;; font-size:16px; color:#000000;&quot; style=&quot; margin-top:14px; margin-bottom:0px; margin-left:35px; margin-right:0px; -qt-block-indent:0; text-indent:0px;&quot;&gt;&lt;a href=&quot;https://doc.qt.io/qt-5/qstring-members.html&quot;&gt;&lt;span style=&quot; font-weight:600; text-decoration: underline; color:#004275;&quot;&gt;List of all members, including inherited members&lt;/span&gt;&lt;/a&gt;&lt;/li&gt;
&lt;li style=&quot; font-family:&apos;Titillium Web&apos;,&apos;Arial&apos;,&apos;Helvetica&apos;,&apos;sans-serif&apos;; font-size:16px; color:#000000;&quot; style=&quot; margin-top:14px; margin-bottom:26px; margin-left:35px; margin-right:0px; -qt-block-indent:0; text-indent:0px;&quot;&gt;&lt;a href=&quot;https://doc.qt.io/qt-5/qstring-obsolete.html&quot;&gt;&lt;span style=&quot; font-weight:600; text-decoration: underline; color:#004275;&quot;&gt;Obsolete members&lt;/span&gt;&lt;/a&gt;&lt;/li&gt;&lt;/ul&gt;
&lt;p style=&quot; margin-top:26px; margin-bottom:26px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;&quot;&gt;&lt;span style=&quot; font-family:&apos;Titillium Web&apos;,&apos;Arial&apos;,&apos;Helvetica&apos;,&apos;sans-serif&apos;; font-size:16px; font-weight:600; color:#000000;&quot;&gt;Note:&lt;/span&gt;&lt;span style=&quot; font-family:&apos;Titillium Web&apos;,&apos;Arial&apos;,&apos;Helvetica&apos;,&apos;sans-serif&apos;; font-size:16px; color:#000000;&quot;&gt; All functions in this class are &lt;/span&gt;&lt;a href=&quot;https://doc.qt.io/qt-5/threads-reentrancy.html&quot;&gt;&lt;span style=&quot; font-family:&apos;Titillium Web&apos;,&apos;Arial&apos;,&apos;Helvetica&apos;,&apos;sans-serif&apos;; font-size:16px; font-weight:600; text-decoration: underline; color:#000000;&quot;&gt;reentrant&lt;/span&gt;&lt;/a&gt;&lt;span style=&quot; font-family:&apos;Titillium Web&apos;,&apos;Arial&apos;,&apos;Helvetica&apos;,&apos;sans-serif&apos;; font-size:16px; color:#000000;&quot;&gt;.&lt;/span&gt;&lt;/p&gt;
&lt;h2 style=&quot; margin-top:21px; margin-bottom:11px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;&quot;&gt;&lt;a name=&quot;public-types&quot;&gt;&lt;/a&gt;&lt;span style=&quot; font-family:&apos;Titillium Web&apos;,&apos;Arial&apos;,&apos;Helvetica&apos;,&apos;sans-serif&apos;; font-size:x-large; font-weight:300; color:#000000;&quot;&gt;P&lt;/span&gt;&lt;span style=&quot; font-family:&apos;Titillium Web&apos;,&apos;Arial&apos;,&apos;Helvetica&apos;,&apos;sans-serif&apos;; font-size:x-large; font-weight:300; color:#000000;&quot;&gt;ublic Types&lt;/span&gt;&lt;/h2&gt;
&lt;p style=&quot; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;&quot;&gt;&lt;span style=&quot; font-family:&apos;Titillium Web&apos;,&apos;Arial&apos;,&apos;Helvetica&apos;,&apos;sans-serif&apos;; font-size:16px; color:#000000; background-color:#ffffff;&quot;&gt;Another approach is to set the size of the string using&lt;/span&gt;&lt;span style=&quot; font-family:&apos;Titillium Web&apos;,&apos;Arial&apos;,&apos;Helvetica&apos;,&apos;sans-serif&apos;; font-size:16px; color:#000000;&quot;&gt; &lt;/span&gt;&lt;a href=&quot;https://doc.qt.io/qt-5/qstring.html#resize&quot;&gt;&lt;span style=&quot; font-family:&apos;Titillium Web&apos;,&apos;Arial&apos;,&apos;Helvetica&apos;,&apos;sans-serif&apos;; font-size:16px; font-weight:600; text-decoration: underline; color:#000000;&quot;&gt;resize&lt;/span&gt;&lt;/a&gt;&lt;span style=&quot; font-family:&apos;Titillium Web&apos;,&apos;Arial&apos;,&apos;Helvetica&apos;,&apos;sans-serif&apos;; font-size:16px; color:#000000;&quot;&gt;() and to initialize the data character per character. QString uses 0-based indexes, just like C++ arrays. To access the character at a particular index position, you can use &lt;/span&gt;&lt;a href=&quot;https://doc.qt.io/qt-5/qstring.html#operator-5b-5d&quot;&gt;&lt;span style=&quot; font-family:&apos;Titillium Web&apos;,&apos;Arial&apos;,&apos;Helvetica&apos;,&apos;sans-serif&apos;; font-size:16px; font-weight:600; text-decoration: underline; color:#000000;&quot;&gt;operator[]&lt;/span&gt;&lt;/a&gt;&lt;span style=&quot; font-family:&apos;Titillium Web&apos;,&apos;Arial&apos;,&apos;Helvetica&apos;,&apos;sans-serif&apos;; font-size:16px; color:#000000;&quot;&gt;(). On non-const strings, &lt;/span&gt;&lt;a href=&quot;https://doc.qt.io/qt-5/qstring.html#operator-5b-5d&quot;&gt;&lt;span style=&quot; font-family:&apos;Titillium Web&apos;,&apos;Arial&apos;,&apos;Helvetica&apos;,&apos;sans-serif&apos;; font-size:16px; font-weight:600; text-decoration: underline; color:#000000;&quot;&gt;operator[]&lt;/span&gt;&lt;/a&gt;&lt;span style=&quot; font-family:&apos;Titillium Web&apos;,&apos;Arial&apos;,&apos;Helvetica&apos;,&apos;sans-serif&apos;; font-size:16px; color:#000000;&quot;&gt;() returns a reference to a character that can be used on the left side of an assignment. For example:&lt;/span&gt;&lt;/p&gt;
&lt;p style=&quot;-qt-paragraph-type:empty; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; font-family:&apos;Courier New&apos;;&quot;&gt;&lt;br /&gt;&lt;/p&gt;
&lt;p style=&quot;-qt-paragraph-type:empty; margin-top:0px; margin-bottom:12px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px; font-family:&apos;Courier New&apos;;&quot;&gt;&lt;br /&gt;&lt;/p&gt;
&lt;p style=&quot; margin-top:0px; margin-bottom:0px; margin-left:0px; margin-right:0px; -qt-block-indent:0; text-indent:0px;&quot;&gt;&lt;br /&gt;&lt;/p&gt;&lt;/body&gt;&lt;/html&gt;"/>
            <task name="Mono" id="Mono" flags="44" text="Mono

|Column 1|Column 2|Column 3|
|--------|--------|--------|
|Row 1   |Cell 2  |Cell 3  |
|Row 2   |Cell 5  |Cell 6  |
|Row 3   |Cell 8  |Cell 9  |  

|Column 1|Column 2|Column 3|
|--------|--------|--------|
|Row 1   |**Cell 2**|Cell 3  |
|Row 2   |~~Cell 5~~|Cell 6  |
|Row 3   |*Cell 8*|Cell 9  | 

Вступление:
e|---3-2-3---3-2-3----2------0-------------------------------------------------|
B|---3-3-3---3-3-3------3------2----3------2------0---3------------------------|
G|------------------2-----2------2----4------2------0--------------------------|
D|--------------------0------2----------4------2-------------------------------|
A|---------0------------------------2------0------2----------------------------|
E|-0---------------------------------------------------------------------------|

                                  (F#7) (Bm) (A)
e|---3-2-3-------0----------------------------0--------------------------------|
B|---3-3-3-----2---2---2--3-------------------2--------------------------------|
G|-----------3-------3------4---4-------------2--------------------------------|
D|----------------------------4---------------2--------------------------------|
A|---------1--------------2-------------------0--------------------------------|
B|-0---------------------------------------------------------------------------|

D                   G            A
Изменения в природе  происходят год от года.
D                      G          F#7
Непогода нынче в моде, непогода, непогода.
Bm           Bm7     D                 E
Словно из водопровода льет на нас с небес вода.
     G       A     D  Bm     G         A       D Bm
Полгода плохая погода. Полгода - совсем никуда.
     G       A     D  Bm     G      F#         Bm
Полгода плохая погода. Полгода - совсем никуда."/>
        </task>
        <task name="Работа с таймером" id="Работа с таймером" flags="c" text="Работа с таймером


[start=2025.01.06 16:00:48 пн]  [stop =2025.01.06 16:00:54 пн]  ~0:00:06
[start=2025.01.08 16:37:23 ср]  [stop =2025.01.08 16:37:27 ср]  ~0:00:04


[time =2025.01.09 00:53:04 чт]~0:00:10  

[time =2025.01.09 12:07:52 чт]~0:00:10  

[start=2025.01.09 12:07:59 чт]  [stop =2025.01.09 12:08:03 чт]  ~0:00:04
"/>
        <task name="Арифметика" id="Арифметика" flags="4" text="Арифметика
Включить режим Menu/Edit/Math enable 

[1]
[2]
[3]
[=6.000]

"/>
    </task>
    <task name="Шифрование" id="Шифрование" flags="4" text="Шифрование
Алгоритм шифрования AES со 128-битным ключом">
        <task name="пароль 1234  " id="пароль 1234  " flags="14" text="xN0gpUGRjUDCF9jYED9pwiEM329lqM4xpTSosV4LWIqg3Q6SzBXW5Zz59JyxiwbO8m7f33czhhX7NdeXKE0H5g=="/>
        <task name="пароль 5678" id="пароль 5678" flags="14" text="NvU6wz+S8TwkeZ+Qbtu+xstPk5evX8OptOL4XyemrShUbVVUHge0ZIEku5iW03BApnj6S+Qn4pTvpysi6IdzJQ=="/>
        <task name="Секретная запись" id="Секретная запись" flags="14" text="QmHawFe64vhEkGdlSxfOrYOcQqQj/+NwoJpQPWIFctIkftjU2aOy99FiLIONc++v"/>
    </task>
    <task name="Сортировка" id="Сортировка" flags="4" text="Сортировка">
        <task name="1" id="1" flags="4" text="1"/>
        <task name="2" id="2" flags="4" text="2"/>
        <task name="3" id="3" flags="4" text="3"/>
        <task name="A" id="A" flags="4" text="A"/>
        <task name="B" id="B" flags="4" text="B
"/>
        <task name="C" id="C" flags="4" text="C"/>
    </task>
    <task name="Настройка программы" id="Настройка программы" flags="4" text="Настройка программы
Для работа программы требуется два файла настроек.
1 - json-файл с пользовательскими настройками базы данных 
2 - tln.ini файл инициалаизации , содержит путь к текущему  json-файлу

">
        <task name="Структура json-файла" id="Структура json-файла" flags="4" text="Структура json-файла

{
    &quot;current&quot;: {

        &quot;auto_save_period&quot;: 3600,   - период автоматического сохранения БД в xml-файл в секундах. Если 0 - автозаписть отключена

        &quot;auto_sync_period&quot;: 3600,  - период автматической синхронихации (запуска скритпа синхронизации). Если 0 - автоминхрониазция отключена

        &quot;changed_id&quot;: &quot;;Списки  #0;Стили  #0;Изображения&quot;- список ID заметок, которые были изменены с момента последней синхронизации, используется в 
 коментариях к коммиту при синхроинизации через git
         
        &quot;database&quot;: &quot;./demo/demo.xml&quot;, - путь к xml-файлу с базой данных

        &quot;elapsed_time&quot;: false, - режим отображения колонки
 
        &quot;img_dir&quot;: &quot;./demo/images&quot;, - путь к папке с изображениями

        &quot;planned_time&quot;: false, - режим отображения колонки
 
        &quot;start_id&quot;: &quot;Задачи#0&quot;, - активная открытая заметка на момент последнего выхода из программы
 
        &quot;sync_script&quot;: &quot;./demo/sync.bat&quot;, - скипт синхронизации

        &quot;watch_period&quot;: 3-  период проверки внешнего обновления xml-файла
    }
}
"/>
    </task>
</task>
